[loggers]
keys=root,application

[formatters]
keys=precise

[handlers]
keys=console,logfile

[logger_root]
level=DEBUG
handlers=console,logfile

[logger_application]
level=INFO
propagate=0
qualname=application
handlers=console,logfile

[formatter_precise]
format=[%(asctime)s][%(levelname)s][%(name)s] %(message)s
datefmt=%Y-%m-%d %H:%M:%S
class=logging.Formatter

[handler_console]
level=DEBUG
class=StreamHandler
formatter=precise
args=(sys.stdout,)

[handler_logfile]
level=DEBUG
class=handlers.RotatingFileHandler
formatter=precise
args=('logging_example.log', 'a', 1000, 2)
